%define module	unicodecsv

Name:		python-%{module}
Version:	0.14.1
Release:	%mkrel 2
Summary:	Drop-in replacement for Python 2.7's csv module which supports unicode strings
License:	BSD
Group:		Development/Python
URL:		https://github.com/jdunck/python-unicodecsv
Source0:	https://pypi.python.org/packages/source/u/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pythonegg(2)(unittest2) >= 0.5.1

Provides:	python2-%{module} = %{version}-%{release}

%description
The unicodecsv is a drop-in replacement for Python 2.7's
csv module which supports unicode strings without a hassle.

It is NOT a drop-in replacement for Python 3's csv module,
see https://github.com/jdunck/python-unicodecsv/issues/65

%package -n	python3-%{module}
Summary:	Drop-in replacement for Python 2.7's csv module which supports unicode strings
Group:		Development/Python
BuildArch:	noarch

BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	pythonegg(3)(unittest2) >= 0.5.1

%description -n	python3-%{module}
The unicodecsv is a drop-in replacement for Python 2.7's
csv module which supports unicode strings without a hassle.

It is NOT a drop-in replacement for Python 3's csv module,
see https://github.com/jdunck/python-unicodecsv/issues/65


%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%check
%define enable_tests_python2 1
%if %{enable_tests_python2}
unit2 discover
%endif
%define enable_tests_python3 1
%if %{enable_tests_python3}
pushd %{py3dir}
python3-unit2 discover
%endif

%files
%doc README.rst
%{python2_sitelib}/%{module}
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc README.rst
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.14.1-2.mga6
+ Revision: 970865
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 0.14.1-1.mga6
+ Revision: 888737
- imported package python-unicodecsv (based on Fedora)

